
QGIS Application - Feature request #7398

Allow for alpha value change in line pattern fill color picker

2013-03-19 06:54 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 16367

Description

Some time ago, a nice revision was committed which allowed alpha value to be changed for fill and border colors. However, this feature

isn't available when choosing color for the line pattern fill.

Would be useful to have, and bring consistency to user experience.

History

#1 - 2013-03-20 12:58 AM - Andreas Neumann

- Priority changed from Low to Normal

I agree - the ability to choose an opacity value should be allowed whereever possible. I set the Priority up to "normal" ;-)

Andreas

#2 - 2013-03-21 05:01 PM - Larry Shaffer

Andreas Neumann wrote:

I agree - the ability to choose an opacity value should be allowed whereever possible. I set the Priority up to "normal" ;-)

I added this onto a recent pull request that updates the QgsColorButton class, which makes it easier to add the alpha support:

https://github.com/qgis/Quantum-GIS/pull/474

Adds alpha picker and render support for: line pattern fill, line decoration symbol, font marker symbol.

#3 - 2013-04-17 07:00 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed

- Status changed from Open to Closed

Thanks Larry, closing as fixed.
